Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index.pruning
Class PruningTool

    java.lang.Object
      org.apache.lucene.index.pruning.PruningTool

    public class PruningTool

extends Object

A command-line tool to configure and run a `PruningReader` on an input index and produce a pruned output index using `IndexWriter.addIndexes(IndexReader...)`.

Constructor Summary
`PruningTool()`

Method Summary
`static void` | `main(String[] args)`
`static int` | `run(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PruningTool

    public PruningTool()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public static int run(String[] args)
                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD